> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/attitudes/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/attitudes/:
    get:
      tags:
        - Metadata/Attitudes
      summary: List
      operationId: attitudes_list
      parameters:
        - in: query
          name: mona_version__audience_type
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
              - 3
              - 4
              - 5
          description: |-
            * `0` - None
            * `1` - Customers
            * `2` - Employees
            * `3` - Donors
            * `4` - Media
            * `5` - Gathering 2024 Lecturees
        - in: query
          name: mona_version__id
          schema:
            type: integer
        - in: query
          name: mona_version__sequence
          schema:
            type: integer
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAttitudeList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedAttitudeList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/Attitude'
    Attitude:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        keyword:
          type: string
          maxLength: 50
        description:
          type: string
          maxLength: 150
        explanation:
          type: string
          maxLength: 500
        content_icon_url:
          type: string
          nullable: true
          maxLength: 250
        content_recommendations:
          type: array
          items:
            $ref: '#/components/schemas/ContentRecommendationField'
          readOnly: true
        content_studies:
          type: array
          items:
            $ref: '#/components/schemas/ContentStudiesField'
          readOnly: true
        classification:
          $ref: '#/components/schemas/ClassificationEnum'
        ppp_classification:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PppClassificationEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        meta: {}
        mona_version:
          allOf:
            - $ref: '#/components/schemas/Version'
          readOnly: true
      required:
        - classification
        - content_recommendations
        - content_studies
        - description
        - id
        - keyword
        - mona_version
    ContentRecommendationField:
      type: object
      properties:
        header:
          type: string
        subtext:
          type: string
        example:
          type: string
        why:
          type: string
      required:
        - example
        - header
        - subtext
        - why
    ContentStudiesField:
      type: object
      properties:
        title:
          type: string
        link:
          type: string
          format: uri
      required:
        - link
        - title
    ClassificationEnum:
      enum:
        - FE
        - BL
        - BH
        - AD
        - IN
      type: string
      description: |-
        * `FE` - feelings
        * `BL` - beliefs
        * `BH` - behaviours
        * `AD` - advocacy
        * `IN` - intent
    PppClassificationEnum:
      enum:
        - NA
        - PE
        - PR
        - PU
      type: string
      description: |-
        * `NA` - na
        * `PE` - people
        * `PR` - product
        * `PU` - purpose
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    Version:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
        audience:
          type: string
        audience_type:
          allOf:
            - $ref: '#/components/schemas/AudienceTypeEnum'
          default: 1
          minimum: -2147483648
          maximum: 2147483647
        sequence:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
      required:
        - audience
        - id
        - name
        - sequence
    AudienceTypeEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
      type: integer
      description: |-
        * `0` - None
        * `1` - Customers
        * `2` - Employees
        * `3` - Donors
        * `4` - Media
        * `5` - Gathering 2024 Lecturees
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````